// HYKBStatsDemoDlg.h : header file
//

#pragma once


// CHYKBStatsDemoDlg dialog
class CHYKBStatsDemoDlg : public CDialog
{
// Construction
public:
	CHYKBStatsDemoDlg(CWnd* pParent = NULL);	// standard constructor
	void SetCommandStatus(int cmd, int status);
	CString GetReturnStatus(int status);
// Dialog Data
	enum { IDD = IDD_HYKBSTATSDEMO_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg void OnClose();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedIsusbconnect();
	afx_msg void OnBnClickedFlushdata();
	afx_msg void OnBnClickedKeyboardmodel();
	afx_msg void OnBnClickedGetswipecount();
	afx_msg void OnBnClickedMaxcount();
	afx_msg void OnBnClickedPresscount();
	afx_msg void OnBnClickedFirmware();
	afx_msg void OnBnClickedResetstatistic();
	afx_msg void OnBnClickedUsbfirmware();
	afx_msg void OnBnClickedKeymap();
	afx_msg void OnBnClickedGetresultofupdate();
	afx_msg void OnBnClickedPs2firmware();

	afx_msg void OnBnClickedResetstatistics();
};
